Eclipse aptana and ruby integration

Is there anyone using eclipse with ruby support?
Which plugin have you installed in eclipse to work with ruby?

http://www.mirrorservice.org/sites/download.sourceforge.net/pub/sourceforge/r/ru/rubyeclipse/

On May 3, 10:43 am, music [email protected] wrote:

Is there anyone using eclipse with ruby support?
Which plugin have you installed in eclipse to work with ruby?

You could use RadRails to word with Ruby/Rails in Eclipse:
http://aptana.org/download_radrails.php

I’m using it for a long time and it has all features needed to the
rails developer.

Dmytro Shteflyuk wrote:

On May 3, 10:43 am, music [email protected] wrote:

Is there anyone using eclipse with ruby support?
Which plugin have you installed in eclipse to work with ruby?

You could use RadRails to word with Ruby/Rails in Eclipse:
http://aptana.org/download_radrails.php

I’m using it for a long time and it has all features needed to the
rails developer.

I’ve installed aptana for eclipse and then radrails for eclipse,
http://www.aptana.com/docs/index.php/Integrating_RadRails_with_Aptana,
but I don’t have any rails perspective in my eclipse environment.
I’m using eclipse 3.2 in a linux debian system.

I suggest you try Eclipse DLTK for Ruby source files (you can install
them both but note that DLTK requires Eclipse 3.3 Mx.

DLTK for Ruby has the smartest completion around (way better than
NetBeans and current version of IDEA).


This was freedom. Losing all hope was freedom.

Chasing the beauty in programming:
www.ruby-lang.org | www.rubyonrails.org

On May 5, 1:30 pm, music [email protected] wrote:

I’ve installed aptana for eclipse and then radrails for eclipse,http://www.aptana.com/docs/index.php/Integrating_RadRails_with_Aptana,
but I don’t have any rails perspective in my eclipse environment.
I’m using eclipse 3.2 in a linux debian system.

Are you sure you are looking for it in the right place? Window/Open
perspective/Other
I have used aptana in Ubuntu for a long time and have no problem with
it.

Dmytro Shteflyuk wrote:

On May 5, 1:30 pm, music [email protected] wrote:

I’ve installed aptana for eclipse and then radrails for eclipse,http://www.aptana.com/docs/index.php/Integrating_RadRails_with_Aptana,
but I don’t have any rails perspective in my eclipse environment.
I’m using eclipse 3.2 in a linux debian system.

Are you sure you are looking for it in the right place? Window/Open
perspective/Other
I have used aptana in Ubuntu for a long time and have no problem with
it.

Yes, in perspective/other I can open aptana perspective but there isn’t
rails perspective.

Michael K. wrote:

I suggest you try Eclipse DLTK for Ruby source files (you can install
them both but note that DLTK requires Eclipse 3.3 Mx.

I’m using eclipse installed from debian packages.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs